#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	DateTime
%define		pnam	TimeZone
Summary:	DateTime::TimeZone - time zone object base class and factory
Summary(pl.UTF-8):	DateTime::TimeZone - podstawowe klasy obiektowe do obsługi stref czasowych
Name:		perl-DateTime-TimeZone
Version:	2.39
Release:	1
Epoch:		3
# same as perl 5
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ad84a62ee01dec5efa9af00b596ffc1d
URL:		https://metacpan.org/release/DateTime-TimeZone
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl(Pod::Man) >= 1.14
BuildRequires:	perl-devel >= 1:5.8.4
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(Cwd) >= 3
BuildRequires:	perl-Class-Singleton >= 1.03
# most tests skipped without DateTime >= 0.1501
BuildRequires:	perl-DateTime >= 0.15_01
BuildRequires:	perl-Module-Runtime
BuildRequires:	perl-Params-ValidationCompiler >= 0.13
BuildRequires:	perl-Scalar-List-Utils >= 1.33
BuildRequires:	perl-Specio
BuildRequires:	perl-Storable
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Try-Tiny
BuildRequires:	perl-namespace-autoclean
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl	DateTime::TimeZone.*

%description
This class is the base class for all time zone objects. A time zone is
represented internally as a set of observances, each of which
describes the offset from GMT for a given time period. Note that
without the "DateTime.pm" module, this module does not do much. It's
primary interface is through a "DateTime" object, and most users will
not need to directly use "DateTime::TimeZone" methods.

%description -l pl.UTF-8
Jest to klasa bazowa dla klas wszystkich obiektów stref czasowych.
Strefa czasowa jest reprezentowana przez zbiór reguł, z których każda
określa przesunięcie o zadany okres czasu w stosunku do czasu
uniwersalnego (GMT). Należy zwrócić uwagę, że bez modułu "DateTime.pm"
moduł ten nie jest w stanie wiele zdziałać. Jego podstawowym
interfejsem jest moduł "DateTime" i w większości przypadków nie ma
potrzeby bezpośredniego korzystania z metod "DateTime::TimeZone".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/DateTime/TimeZone.pm
%{perl_vendorlib}/DateTime/TimeZone
%{_mandir}/man3/DateTime::TimeZone*.3pm*
%changelog
* Sun May 03 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime-TimeZone.git;a=log;h=master

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 7d37e2b
- updated to 2.39

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b27504c
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3008523
- up to 2.37

* Thu Oct 04 2018 Jakub Bogusz <qboosh@pld-linux.org> 8272fc0
- URL fix

* Thu Oct 04 2018 Jakub Bogusz <qboosh@pld-linux.org> 285c2af
- updated to 2.19

* Tue Nov 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 2d0c6ad
- updated to 2.09

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 568b2b1
- up to 2.06

* Wed Feb 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 5cf4ffa
- needs List::AllUtils

* Mon Feb 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 0e3e4c0
- updted to 1.85

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> e69120f
- updated to 1.59

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 6f5a496
- updated to 1.46

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 2edb1c1
- up to 1.42

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> f4abcb9
- Up to 1.34

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 8b7dcd5
- Up to 1.31

* Fri Mar 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 9befb59
- all tests succeed now; release 1

* Fri Mar 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 756d5d0
- up to 1.28

* Sat Dec 18 2010 Caleb Maclennan <caleb@alerque.com> f3942c3
- Up to 1.26, rel 0.1 because only builds --without tests

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> cf44784
- Up to 0.23

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 12d3842
- updated to 1.05

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> c86515b
- updated to 1.01

